{% extends 'base.html' %}

{% block content %} 
    <main>
        <h1>My lists</h1>
        <a href="{% url 'todo_list_create' %}">Create a new list</a>
        <a href="{% url 'todo_item_create' %}">Create a new item</a>
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Number of items</th>
                </tr>
            </thead>
            <tbody>
                {% for list in todolist_list %}
                    <tr>
                        <td>
                            <a href="{% url 'todo_list_detail' list.id}">
                                {{ list.name }}
                            </a>
                        </td>
                        <td>{{ list.items.all|length }}</td>
                    </tr>
                {% endfor %}
            </tbody>
            
        </table>

    </main>

{% endblock content %}